from tkinter import *
import math, time,random
from genNomalDist import *
def drawscale(canvas,MAX):   #■目盛り表示
    font1=("Times",16);font2=("Times",8);
    YY=300-int(MAX/10)*20
    for i in range(12):
        X=i*40+40;CL="#CCCCCC"
        if i%5==1 or i==0:CL="#777777"
        canvas.create_line(X,300,X,YY,fill=CL)
        if i!=11:
            canvas.create_text(X+20,314,text=str(i),
                               font=font1,fill="black")
    for i in range(int(MAX/10+1)):
        Y=300-i*20;CL="#CCCCCC"
        if i%5==0:CL="#777777"
        canvas.create_line(40,Y,480,Y,fill=CL)
        canvas.create_text(30,Y,text=str(i*10),
                           font=font2,fill="black")
def drawGraph(canvas,A,DX=0,width=20,color="red"):#■グラフ表示
    for i in range(len(A)):
        if A[i]!=0:
            X=i*40+40+DX;Y=300-A[i]*2
            canvas.create_rectangle(X,300,X+width,Y,fill=color)
def drawGraph2(canvas,A,B,Max=50):
    ND=len(A[0])
    CL=["red","yellow","blue","green"]
    drawscale(canvas,Max)
    WD=20/ND;DX=20
    for k in range(ND):
        FA=freqDT(A,k); FB=freqDT(B,k)
        drawGraph(canvas,FA,width=WD,DX=k*WD,color=CL[k])
        drawGraph(canvas,FB,width=WD,DX=20+k*WD,color=CL[k+2])
def dispFrame(canvas):
    canvas.create_line( 40,290, 40, 90,fill="gray")
    canvas.create_line(240,290,240, 90,fill="gray")
    canvas.create_line( 40,290,240,290,fill="gray")
    canvas.create_line( 40, 90,240, 90,fill="gray")
def dispMap(canvas,A,CL):
    for i in range(len(A)):
        X=A[i][0]*20+40;Y=300-A[i][1]*20
        canvas.create_oval(X-2,Y-2,X+2,Y+2,fill=CL)
